Package com.databricks.jdbc.model.client.thrift.generated

## Class TDBSqlTempView

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TDBSqlTempView

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDBSqlTempView>`, `org.apache.thrift.TBase<TDBSqlTempView,​TDBSqlTempView._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TDBSqlTempView
    extends Object
    implements org.apache.thrift.TBase<TDBSqlTempView,​TDBSqlTempView._Fields>, Serializable, Cloneable, Comparable<TDBSqlTempView>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDBSqlTempView._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TDBSqlTempView._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `name`
`Map<String,​String>` `properties`
`String` `sqlStatement`
`String` `viewSchema`

### Constructor Summary

Constructors
`TDBSqlTempView()`
`TDBSqlTempView​(TDBSqlTempView other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TDBSqlTempView other)`
`TDBSqlTempView` `deepCopy()`
`boolean` `equals​(TDBSqlTempView that)`
`boolean` `equals​(Object that)`
`TDBSqlTempView._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TDBSqlTempView._Fields field)`
`String` `getName()`
`Map<String,​String>` `getProperties()`
`int` `getPropertiesSize()`
`String` `getSqlStatement()`
`String` `getViewSchema()`
`int` `hashCode()`
`boolean` `isSet​(TDBSqlTempView._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` `isSetProperties()` Returns true if field properties is set (has been assigned a value) and false otherwise
`boolean` `isSetSqlStatement()` Returns true if field sqlStatement is set (has been assigned a value) and false otherwise
`boolean` `isSetViewSchema()` Returns true if field viewSchema is set (has been assigned a value) and false otherwise
`void` `putToProperties​(String key, String val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TDBSqlTempView._Fields field, Object value)`
`TDBSqlTempView` `setName​(String name)`
`void` `setNameIsSet​(boolean value)`
`TDBSqlTempView` `setProperties​(Map<String,​String> properties)`
`void` `setPropertiesIsSet​(boolean value)`
`TDBSqlTempView` `setSqlStatement​(String sqlStatement)`
`void` `setSqlStatementIsSet​(boolean value)`
`TDBSqlTempView` `setViewSchema​(String viewSchema)`
`void` `setViewSchemaIsSet​(boolean value)`
`String` `toString()`
`void` `unsetName()`
`void` `unsetProperties()`
`void` `unsetSqlStatement()`
`void` `unsetViewSchema()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public String name

#### sqlStatement

    public String sqlStatement

#### properties

    public Map<String,​String> properties

#### viewSchema

    public String viewSchema

#### metaDataMap

    public static final Map<TDBSqlTempView._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDBSqlTempView

    public TDBSqlTempView()

#### TDBSqlTempView

    public TDBSqlTempView​(TDBSqlTempView other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDBSqlTempView deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDBSqlTempView,​TDBSqlTempView._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDBSqlTempView,​TDBSqlTempView._Fields>`

#### getName

    public String getName()

#### setName

    public TDBSqlTempView setName​(String name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet​(boolean value)

#### getSqlStatement

    public String getSqlStatement()

#### setSqlStatement

    public TDBSqlTempView setSqlStatement​(String sqlStatement)

#### unsetSqlStatement

    public void unsetSqlStatement()

#### isSetSqlStatement

    public boolean isSetSqlStatement()

Returns true if field sqlStatement is set (has been assigned a value) and false otherwise

#### setSqlStatementIsSet

    public void setSqlStatementIsSet​(boolean value)

#### getPropertiesSize

    public int getPropertiesSize()

#### putToProperties

    public void putToProperties​(String key,
                                String val)

#### getProperties

    public Map<String,​String> getProperties()

#### setProperties

    public TDBSqlTempView setProperties​(Map<String,​String> properties)

#### unsetProperties

    public void unsetProperties()

#### isSetProperties

    public boolean isSetProperties()

Returns true if field properties is set (has been assigned a value) and false otherwise

#### setPropertiesIsSet

    public void setPropertiesIsSet​(boolean value)

#### getViewSchema

    public String getViewSchema()

#### setViewSchema

    public TDBSqlTempView setViewSchema​(String viewSchema)

#### unsetViewSchema

    public void unsetViewSchema()

#### isSetViewSchema

    public boolean isSetViewSchema()

Returns true if field viewSchema is set (has been assigned a value) and false otherwise

#### setViewSchemaIsSet

    public void setViewSchemaIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDBSqlTempView._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDBSqlTempView,​TDBSqlTempView._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDBSqlTempView._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDBSqlTempView,​TDBSqlTempView._Fields>`

#### isSet

    public boolean isSet​(TDBSqlTempView._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDBSqlTempView,​TDBSqlTempView._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDBSqlTempView that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDBSqlTempView other)

Specified by:
  `compareTo` in interface `Comparable<TDBSqlTempView>`

#### fieldForId

    public TDBSqlTempView._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDBSqlTempView,​TDBSqlTempView._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`